interactions:
- request:
    body: grant_type=refresh_token&redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F&refresh_token=**********
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body: {string: '{"access_token": "vFYVTbVqkNJ9tRz5dCVdP7BC_jI", "token_type":
        "bearer", "device_id": "None", "expires_in": 3600, "scope": "edit history
        identity mysubreddits privatemessages read report save submit subscribe vote"}'}
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Length: ['214']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:39:13 GMT']
      Server: [snooserv]
      Set-Cookie: ['session_tracker=Joy075gIi6IkBlj03t.0.1505363953882.Z0FBQUFBQlp1Z2Z4N0dRcF9xek1VOW93cE9mallhM1dvandtVy12SGlXR2pXTnYwYkw1ZnVRZGhHQkNiWmo4cThsWGg4UGd3a1JYSkp4bnYyQkpWOU1VOUYwYTFILTRDb1ZobDhwZkhiTjFGNlhDUERmbElFSGFmUl9wbWcxUUI3SVVmWURtOU1lc3Q;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:39:13
          GMT; secure', edgebucket=sEDf1lUzEB1bleOHAK; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1738-ORD]
      X-Timer: ['S1505363954.862203,VS0,VE46']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=Joy075gIi6IkBlj03t.0.1505363953882.Z0FBQUFBQlp1Z2Z4N0dRcF9xek1VOW93cE9mallhM1dvandtVy12SGlXR2pXTnYwYkw1ZnVRZGhHQkNiWmo4cThsWGg4UGd3a1JYSkp4bnYyQkpWOU1VOUYwYTFILTRDb1ZobDhwZkhiTjFGNlhDUERmbElFSGFmUl9wbWcxUUI3SVVmWURtOU1lc3Q;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:39:13
          GMT; secure', edgebucket=sEDf1lUzEB1bleOHAK; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAPIHulkC/61W227cNhD9FWOfXdvS+rLJW5o6rdsiiIsWBVoUBCWNVsxSJMPLrneD/ntnKGpF
        OdsmBfJirDW8nDlz5nA+LoRj0Bup9wCLl2ctlw7OzxYtcB8sOPz0ceGA27pjJlRS1Mxb3raijhG9
        U2DxV1qywJ1bbgVXnj4q2LG0d0UheDJgRQ/KM9HggrIo/8bPdcdpubeBbm40U9rTLfVm+uo6vWO8
        N0wKlX2WYgus48aAEmqNG3dTTKj3UHuGIOZQLUjYclXDM7QWeo2n1Vq50ENzEvDVkgDzxoHdgmUW
        jLYeb55uXUdEzju2tngwEThihTWv9yMhxkKb5+HoGEbnihqYxVSDmeJ4I+PBawZPHhRBSYFeV0IC
        20HFPLdrmINpoOVBeuasY52WjQ6U6RdwgSR4qyUrTrFQ3BUDCwewG3a6XgEzcSyllbED2mgTJLdM
        qK8IqSyuCNKuEx7oUmiY6TPuhar0EwrYddM3PMFpxaU4cC+0ihXJtgSDBWxID3ojYiMcz/KAneFP
        EV5b7ZzRGDRWt1iZKVRJXW8Y8cKqfVLOFD0WGEGEvMAaVbTG+yhOncqFzLD0VPgnvKvXrNcNlyPl
        rMZWxeLg8j1rhOuFc6JCpQidbUcaucICwhZmUoWQ0mZG4zn7jBXfY6iPzFMrZptabVG5nfcmBzjo
        UyHF2BcVV0OVxxIQU5h0IotV4PkUxaQb4QN6E7GD/wmLDZ1RE3ylkawh1yjAWTHIfqRer3GjYjWv
        u0/TiWhPHJ2atOEo8MnvTpAexYCMe4HcJ2LcnGTDsegMU8g+WY3i6ntkpZ5HpgbJwJD3Ib54eoPS
        nnvg5+Fgja2OfZK2DGqrSfbZNbUFUFuBrD3XAzE5KBa1xJHTvMA8Nf+MexeqoXzMBpl3TxKEA08y
        zQLJTo6WysoshlC3wpN5Dv64s9jozxiKreUsaq3PQseOpCOjK2VlIPlBX0FuqBmbHKlG7dHOicLM
        qvDhQj1jP56fdKrylFMVqztyqozRVuavFlZBS/lJBf5/o39S9Mx7Tfc1vbe8GZ6DweE8WuN/VM4C
        HzHRLjJdfD+iA3CFC6etOJi44EyU/GKaTOKOWZuoICUxN0ou5hTVgEdE6KJCa6Wl4yECPzPRk2AH
        D3h5eVld+C70lbsYTsERQPAL7KHLu1fSbO+t3vrH4vZKv3izf3hofnh9aH8uN9/A+/rFqvztNrx7
        HQ4PFwabAM8fjO6LbzC/L399WG7l4XZTbx6+s++ul2/6n+T3fyxfPW31sj18+/a+qH80rn4cb8BS
        G8n3Ue3x6RJPkaZFuKyR8elV6/gB2JK2dEg9tYg4UH8k1kaeIuKcZ6QTtSiqoWOKoSDjQEH8TZXa
        wB55lpHhBd0U+zGmNy1qgI4zyXPisvHuPvjZ1XluMSX2mZQGnlNGGczn7w0aY3ySF/92XrCSwpeE
        7CSPl1l1E5F/FuXq6vxsubr+C2MjZn/DlvLD3e0sT41g+aDEhEjTGFmssuTTlH2CLrJ9dAsuLAPF
        scdzzqKiR0Tlze35Gf4hQJMT+70Z6EQ4dB4PjQBs9jTIPK/KJIAEl/qVvhuckGfdtEYvwcnUCBu5
        ykoRFSk/KK6jLGI7O6JzWs2Cp7c17UA6RCtyQyanROJo8MFdaHokx7R6Ym/yDAKT8xJpn1Z0OEWN
        lwzj1DyGi1n6Oh6hcTDryGePlre4L/W9/+WxbdpX7dvHqESBs2KL/sysrnQEOe6Pddtw21M3lOWK
        UMV5tMbphWhH9Qy25rUZFhL5Q9WyNyDCm0OLu2K3OaX1lvtoiGN01OIpIRNmfPD50HnFdXlTLovb
        66sLAhMLWk8A6FtanMoVN1yVq7QBB6w0u413j0PimPfqRcrgKKvjM/APhXUFzIQOAAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['1418']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:39:14 GMT']
      Server: [snooserv]
      Set-Cookie: ['session_tracker=hXgdU3ABkaK0iuQ7xg.0.1505363954071.Z0FBQUFBQlp1Z2Z5OVRnU1pCLW1uRThhTW9RZzlIY082a3h6aVQyTnk4T1NncXZ5TWhNNmRRTi1QX1haMERlemxFNmd4ZWFVZFRTc3pOV3VXb0w3b3JMVUx5a0dRN2RXdDRndmpadG83ZHp1OEY2R0kxNGdkUDNWTGJHaWRacUs4eWlwelNXWDZXTUc;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:39:14
          GMT; secure', edgebucket=qAufOQQPpkskueVlfu; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1723-ORD]
      X-Timer: ['S1505363954.051482,VS0,VE57']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['session_tracker=hXgdU3ABkaK0iuQ7xg.0.1505363954071.Z0FBQUFBQlp1Z2Z5OVRnU1pCLW1uRThhTW9RZzlIY082a3h6aVQyTnk4T1NncXZ5TWhNNmRRTi1QX1haMERlemxFNmd4ZWFVZFRTc3pOV3VXb0w3b3JMVUx5a0dRN2RXdDRndmpadG83ZHp1OEY2R0kxNGdkUDNWTGJHaWRacUs4eWlwelNXWDZXTUc;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:39:14
          GMT; secure', edgebucket=qAufOQQPpkskueVlfu; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['593.0']
      x-ratelimit-reset: ['46']
      x-ratelimit-used: ['7']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [edgebucket=qAufOQQPpkskueVlfu; session_tracker=hXgdU3ABkaK0iuQ7xg.0.1505363954071.Z0FBQUFBQlp1Z2Z5OVRnU1pCLW1uRThhTW9RZzlIY082a3h6aVQyTnk4T1NncXZ5TWhNNmRRTi1QX1haMERlemxFNmd4ZWFVZFRTc3pOV3VXb0w3b3JMVUx5a0dRN2RXdDRndmpadG83ZHp1OEY2R0kxNGdkUDNWTGJHaWRacUs4eWlwelNXWDZXTUc]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/user/civilization_phaze_3/.json?sort=top&t=all&limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 33660 characters]
        Xum2AR8KY8dG+O9//38VgMEeZ7kCAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['22594']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:39:14 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1723-ORD]
      X-Timer: ['S1505363954.144372,VS0,VE386']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['loid=0000000000000lqnao.2.1425202840186.Z0FBQUFBQlp1Z2Z5cy1pZTdFN1BEakJYUW4yR21QRFh3UklXMkRNdG9LYXowNHhXZGFmeHVuYUlVaFVKSlRpQWtuSEpsNVlmd3hzUVVWWG1XYnVLMm92UVRhVmdCWmJBRWtLbzM1ZUhJS1JFN05oMThQdHUzQ1hOQ0UzQzRRaE5zLUUxWFA0MGtMWUg;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:39:14
          GMT; secure', 'session_tracker=hXgdU3ABkaK0iuQ7xg.0.1505363954162.Z0FBQUFBQlp1Z2Z5UVBFelVnSVBJZEdTUVlQaUNlMk42bGxyaTFXeXFxMFJnYW1UYWx2SURpMGoxZTVJZWV5bWJPYmRtSkMwSllrcjNtNXNUamltYVFlbDBVRUtQb0NUM3dBU19YcXltaDV5WDZIRllNUEhpRFNMamhlMy1JUFJHSnZraWl2WXg3WHU;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:39:14
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['592.0']
      x-ratelimit-reset: ['46']
      x-ratelimit-used: ['8']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=LhQZm%2BunjYACUrEwQdRozEP8b3q5pwWTThKbEQrEz6nD3sjNoDtzIfozg2PQ7mc6kcmWvVAsi9xzxD0z6VcrSYcz4fT%2BiaUn6FUKeh%2Fh5mZpMymkWQAgpg%3D%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
